SpreadJS를 사용하면 여러 헤더를 추가하고 사용자 정의 헤더 텍스트를 만들 수 있습니다.
SpreadJS에서 시트는 다음 4개의 영역으로 구성됩니다:
corner
colHeader
rowHeader
viewport
따라서 시트의 헤더에는 하나의 행 머리글과 하나의 열 머리글이 포함됩니다. 두 머리글 모두 여러 행이나 열을 가질 수 있습니다.
헤더의 행 또는 열 중 하나에서 각 셀에는 열 또는 행의 인덱스를 나타내는 자동 텍스트("auto text")가 있습니다.어떤 행이나 열에 자동 텍스트가 표시되는지 확인하거나 특정 행이나 열에 자동 텍스트를 표시하려면 다음과 유사한 코드를 사용합니다:
Spread는 공백, 글자 및 숫자 중에서 선택할 수 있는 세 가지 유형의 헤더 자동 텍스트도 제공합니다.
행 머리글이나 열 머리글을 숨기도록 선택할 수 있습니다. 다음 코드는 행 머리글의 모든 행을 숨깁니다.
window.onload = function () {
var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"));
var spreadNS = GC.Spread.Sheets;
var sheet = spread.getSheet(0);
sheet.suspendPaint();
//Set rowHeader count and columnHeader count.
sheet.setRowCount(3, spreadNS.SheetArea.colHeader);
sheet.setColumnCount(3, spreadNS.SheetArea.rowHeader);
//Change header "auto text".
sheet.options.colHeaderAutoTextIndex = 2;
sheet.options.colHeaderAutoText = spreadNS.HeaderAutoText.numbers;
//Span three columns with the origin at column header cell (0,0).
sheet.addSpan(0, 0, 10, 1, GC.Spread.Sheets.SheetArea.rowHeader);
sheet.addSpan(0, 1, 5, 1, GC.Spread.Sheets.SheetArea.rowHeader);
sheet.addSpan(5, 1, 5, 1, GC.Spread.Sheets.SheetArea.rowHeader);
sheet.setValue(0, 1, "Sub 1.", GC.Spread.Sheets.SheetArea.rowHeader);
sheet.setValue(5, 1, "Sub 2.", GC.Spread.Sheets.SheetArea.rowHeader);
sheet.setValue(0, 0, "Cat.", GC.Spread.Sheets.SheetArea.rowHeader);
sheet.addSpan(0, 0, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 1, 1, 2, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 3, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 4, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 5, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 6, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 0, "No.", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 1, "Company", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 3, "Order ID", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 4, "Customer ID", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 5, "Employee ID", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 6, "Order Date", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(1, 1, "Country", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(1, 2, "Company Name", GC.Spread.Sheets.SheetArea.colHeader);
sheet.getCell(-1, 0).width(40);
sheet.getRange(-1, 1, 1, 6).width(130);
sheet.getRange(-2, 1, 1, 2).width(130);
sheet.resumePaint();
/*
* Show or hide the row header.
*/
_getElementById("chkRowHeaderVisible").addEventListener('click',function () {
var sheet = spread.getActiveSheet();
sheet.options.rowHeaderVisible = this.checked;
spread.invalidateLayout();
spread.repaint();
});
/*
* Show or hide the column header.
*/
_getElementById("chkColumnHeaderVisible").addEventListener('click',function () {
var sheet = spread.getActiveSheet();
sheet.options.colHeaderVisible = this.checked;
spread.invalidateLayout();
spread.repaint();
});
_getElementById("btnSetAutoText").addEventListener('click',function () {
var headerType = document.querySelector("input[name='headerType']:checked").value,
obj=_getElementById("headerAutoTextType"),
headerAutoTextType = obj.options[obj.selectedIndex].value;
if (headerAutoTextType) {
headerAutoTextType = spreadNS.HeaderAutoText[headerAutoTextType];
if (!(headerAutoTextType === undefined)) {
switch (headerType) {
case "row":
sheet.options.rowHeaderAutoText = headerAutoTextType;
break;
case "column":
sheet.options.colHeaderAutoText = headerAutoTextType;
break;
}
}
}
});
};
function _getElementById(id) {
return document.getElementById(id);
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta name="spreadjs culture" content="ko-kr"/>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets-resources-ko/dist/gc.spread.sheets.resources.ko.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div id="ss" class="sample-spreadsheets"></div>
<div class="options-container">
<label>Set the options below to show the column/row header.</label>
<div class="option-row">
<input type="checkbox" id="chkColumnHeaderVisible" checked />
<label for="chkColumnHeaderVisible">ColumnHeaderVisible</label>
</div>
<div class="option-row">
<input type="checkbox" id="chkRowHeaderVisible" checked />
<label for="chkRowHeaderVisible">RowHeaderVisible</label>
</div>
<hr>
<div class="option-row">
<label >Set the type of auto text for the headers using the following options.</label>
</div>
<div class="option-row">
<input type="radio" name="headerType" value="row" id="headerTypeRow" /><label for="headerTypeRow">Row</label>
<input type="radio" name="headerType" value="column" id="headerTypeColumn" checked="checked" /><label for="headerTypeColumn">Column</label>
</div>
<div class="option-row">
<label for="headerAutoTextType" style="display:inline-block;">Header Auto Text type: </label>
</div>
<select id="headerAutoTextType" style="padding-left: 5px">
<option value="blank">Blank</option>
<option value="letters" selected="selected">Letters</option>
<option value="numbers">Numbers</option>
</select>
<input type="button" id="btnSetAutoText" value="Set" />
</div>
</div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
input[type=button] {
margin-top: 6px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}

SpreadJS를 사용하면 여러 헤더를 추가하고 사용자 정의 헤더 텍스트를 만들 수 있습니다.
SpreadJS에서 시트는 다음 4개의 영역으로 구성됩니다:
corner
colHeader
rowHeader
viewport
따라서 시트의 헤더에는 하나의 행 머리글과 하나의 열 머리글이 포함됩니다. 두 머리글 모두 여러 행이나 열을 가질 수 있습니다.
헤더의 행 또는 열 중 하나에서 각 셀에는 열 또는 행의 인덱스를 나타내는 자동 텍스트("auto text")가 있습니다.어떤 행이나 열에 자동 텍스트가 표시되는지 확인하거나 특정 행이나 열에 자동 텍스트를 표시하려면 다음과 유사한 코드를 사용합니다:
Spread는 공백, 글자 및 숫자 중에서 선택할 수 있는 세 가지 유형의 헤더 자동 텍스트도 제공합니다.
행 머리글이나 열 머리글을 숨기도록 선택할 수 있습니다. 다음 코드는 행 머리글의 모든 행을 숨깁니다.
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './styles.css';
import { AppFunc } from './app-func';
import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import GC from '@mescius/spread-sheets';
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
import './styles.css';
const useState = React.useState, spreadNS = GC.Spread.Sheets;
export function AppFunc() {
const [spread, setSpread] = useState(null);
const initSpread = (spread) => {
setSpread(spread);
let spreadNS = GC.Spread.Sheets;
let sheet = spread.getSheet(0);
sheet.suspendPaint();
//Set rowHeader count and columnHeader count.
sheet.setRowCount(3, spreadNS.SheetArea.colHeader);
sheet.setColumnCount(3, spreadNS.SheetArea.rowHeader);
//Change header "auto text".
sheet.options.colHeaderAutoTextIndex = 2;
sheet.options.colHeaderAutoText = spreadNS.HeaderAutoText.numbers;
//Span three columns with the origin at column header cell (0,0).
sheet.addSpan(0, 0, 10, 1, GC.Spread.Sheets.SheetArea.rowHeader);
sheet.addSpan(0, 1, 5, 1, GC.Spread.Sheets.SheetArea.rowHeader);
sheet.addSpan(5, 1, 5, 1, GC.Spread.Sheets.SheetArea.rowHeader);
sheet.setValue(0, 1, "Sub 1.", GC.Spread.Sheets.SheetArea.rowHeader);
sheet.setValue(5, 1, "Sub 2.", GC.Spread.Sheets.SheetArea.rowHeader);
sheet.setValue(0, 0, "Cat.", GC.Spread.Sheets.SheetArea.rowHeader);
sheet.addSpan(0, 0, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 1, 1, 2, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 3, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 4, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 5, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 6, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 0, "No.", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 1, "Company", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 3, "Order ID", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 4, "Customer ID", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 5, "Employee ID", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 6, "Order Date", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(1, 1, "Country", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(1, 2, "Company Name", GC.Spread.Sheets.SheetArea.colHeader);
sheet.getCell(-1, 0).width(40);
sheet.getRange(-1, 1, 1, 6).width(130);
sheet.getRange(-2, 1, 1, 2).width(130);
sheet.resumePaint();
}
const checkRowHeaderVisible = ($event) => {
let sheet = spread.getActiveSheet();
sheet.options.rowHeaderVisible = $event.target.checked;
spread.invalidateLayout();
spread.repaint();
}
const checkColumnHeaderVisible = ($event) => {
let sheet = spread.getActiveSheet();
sheet.options.colHeaderVisible = $event.target.checked;
spread.invalidateLayout();
spread.repaint();
}
const setAutoText = (autoTextInfo) => {
let { headerType, headerAutoTextType } = autoTextInfo;
let sheet = spread.getActiveSheet();
if (headerAutoTextType) {
headerAutoTextType = spreadNS.HeaderAutoText[headerAutoTextType];
if (!(headerAutoTextType === undefined)) {
switch (headerType) {
case "row":
sheet.options.rowHeaderAutoText = headerAutoTextType;
break;
case "column":
sheet.options.colHeaderAutoText = headerAutoTextType;
break;
}
}
}
}
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
<PanelFunc
checkRowHeaderVisible={(e) => checkRowHeaderVisible(e)}
checkColumnHeaderVisible={(e) => checkColumnHeaderVisible(e)}
setAutoText={(autoTextInfo) => setAutoText(autoTextInfo)}
></PanelFunc>
</div>
);
}
function CheckBoxInput(props) {
const [checked, setChecked] = useState(props.checked);
return (
<input type="checkbox" id={props.id} checked={checked} onChange={(e) => {
setChecked(e.target.checked);
props.onChange(e)
}} />
);
}
function RadioInput(props) {
let [value, setValue] = useState(props.defaultValue);
let radios = [];
for (let i = 0; i < props.radios.length; i++) {
radios.push(
<input type="radio" name={props.name} value={props.radios[i].value} id={props.radios[i].id}
checked={props.radios[i].value === value ? true : false}
onChange={($event) => {
setValue($event.target.value)
props.onChange($event.target.value);
}} />
);
if (props.radios[i].label) {
radios.push(
<label htmlFor={props.radios[i].id}>{props.radios[i].label}</label>
);
}
}
return radios;
}
function SelectInput(props) {
const [value, setValue] = useState(props.value);
function renderSelectOptions(options) {
let optionElems = [];
for (let i = 0; i < options.length; i++) {
optionElems.push(<option value={options[i].value}>{options[i].text}</option>);
}
return optionElems;
}
return (
<select
id={props.id}
className={props.className}
value={value}
name={props.name}
onChange={(e) => {
setValue(e.target.value);
props.onChange(e);
}}
>
{renderSelectOptions(props.options)}
</select>
);
}
function PanelFunc(props) {
const [headerType, setHeaderType] = useState("row");
const [headerAutoTextType, setHeaderAutoTextType] = useState("letters");
let selectOptions = [
{
value: "blank",
text: "Blank"
}, {
value: "letters",
text: "Letters"
}, {
value: "numbers",
text: "Numbers"
}
];
let radios = [
{
id: "headerTypeRow",
value: "row",
label: "Row"
},
{
id: "headerTypeColumn",
value: "column",
label: "Column"
}
];
return (
<div className="options-container">
<label>Set the options below to show the column/row header.</label>
<div className="options-row">
<CheckBoxInput id="checkColumnHeaderVisible" checked={true}
onChange={props.checkColumnHeaderVisible}></CheckBoxInput>
<label htmlFor="checkColumnHeaderVisible">ColumnHeaderVisible</label>
</div>
<div className="options-row">
<CheckBoxInput id="checkRowHeaderVisible" checked={true}
onChange={props.checkRowHeaderVisible}></CheckBoxInput>
<label htmlFor="checkRowHeaderVisible">RowHeaderVisible</label>
</div>
<hr />
<div className="options-row">
<label>Set the type of auto text for the headers using the following options.</label>
</div>
<div className="options-row">
<RadioInput name={"headerType"} defaultValue={headerType} radios={radios} onChange={(value) => {
setHeaderType(value)
}}></RadioInput>
</div>
<div className="options-row">
<label>Header Auto Text Type:</label>
</div>
<div className="options-row">
<SelectInput id="headerAutoTextType" value={headerAutoTextType} onChange={($event) => {
setHeaderAutoTextType($event.target.value);
}} options={selectOptions}></SelectInput>
<input type="button" value="Set" onClick={() => {
let autoTextInfo = {
headerType: headerType,
headerAutoTextType: headerAutoTextType
};
props.setAutoText(autoTextInfo)
}} />
</div>
</div>
);
}
import * as React from 'react';
import {SpreadSheets, Worksheet, Column} from '@mescius/spread-sheets-react';
import GC from '@mescius/spread-sheets';
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
import './styles.css';
const Component = React.Component, useState = React.useState, spreadNS = GC.Spread.Sheets;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
this.dataSource = dataSource;
this.autoGenerateColumns = false;
}
render() {
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
<Panel
checkRowHeaderVisible={(e) => this.checkRowHeaderVisible(e)}
checkColumnHeaderVisible={(e) => this.checkColumnHeaderVisible(e)}
setAutoText={(autoTextInfo) => this.setAutoText(autoTextInfo)}
></Panel>
</div>
);
}
initSpread(spread) {
this.spread = spread;
let spreadNS = GC.Spread.Sheets;
let sheet = spread.getSheet(0);
sheet.suspendPaint();
//Set rowHeader count and columnHeader count.
sheet.setRowCount(3, spreadNS.SheetArea.colHeader);
sheet.setColumnCount(3, spreadNS.SheetArea.rowHeader);
//Change header "auto text".
sheet.options.colHeaderAutoTextIndex = 2;
sheet.options.colHeaderAutoText = spreadNS.HeaderAutoText.numbers;
//Span three columns with the origin at column header cell (0,0).
sheet.addSpan(0, 0, 10, 1, GC.Spread.Sheets.SheetArea.rowHeader);
sheet.addSpan(0, 1, 5, 1, GC.Spread.Sheets.SheetArea.rowHeader);
sheet.addSpan(5, 1, 5, 1, GC.Spread.Sheets.SheetArea.rowHeader);
sheet.setValue(0, 1, "Sub 1.", GC.Spread.Sheets.SheetArea.rowHeader);
sheet.setValue(5, 1, "Sub 2.", GC.Spread.Sheets.SheetArea.rowHeader);
sheet.setValue(0, 0, "Cat.", GC.Spread.Sheets.SheetArea.rowHeader);
sheet.addSpan(0, 0, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 1, 1, 2, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 3, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 4, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 5, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 6, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 0, "No.", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 1, "Company", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 3, "Order ID", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 4, "Customer ID", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 5, "Employee ID", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 6, "Order Date", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(1, 1, "Country", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(1, 2, "Company Name", GC.Spread.Sheets.SheetArea.colHeader);
sheet.getCell(-1, 0).width(40);
sheet.getRange(-1, 1, 1, 6).width(130);
sheet.getRange(-2, 1, 1, 2).width(130);
sheet.resumePaint();
}
checkRowHeaderVisible($event) {
let spread = this.spread;
let sheet = spread.getActiveSheet();
sheet.options.rowHeaderVisible = $event.target.checked;
spread.invalidateLayout();
spread.repaint();
}
checkColumnHeaderVisible($event) {
let spread = this.spread;
let sheet = spread.getActiveSheet();
sheet.options.colHeaderVisible = $event.target.checked;
spread.invalidateLayout();
spread.repaint();
}
setAutoText(autoTextInfo) {
let spread = this.spread, {headerType, headerAutoTextType} = autoTextInfo;
let sheet = spread.getActiveSheet();
if (headerAutoTextType) {
headerAutoTextType = spreadNS.HeaderAutoText[headerAutoTextType];
if (!(headerAutoTextType === undefined)) {
switch (headerType) {
case "row":
sheet.options.rowHeaderAutoText = headerAutoTextType;
break;
case "column":
sheet.options.colHeaderAutoText = headerAutoTextType;
break;
}
}
}
}
}
function CheckBoxInput(props) {
const [checked, setChecked] = useState(props.checked);
return (
<input type="checkbox" id={props.id} checked={checked} onChange={(e) => {
setChecked(e.target.checked);
props.onChange(e)
}}/>
);
}
function RadioInput(props) {
let [value, setValue] = useState(props.defaultValue);
let radios = [];
for (let i = 0; i < props.radios.length; i++) {
radios.push(
<input type="radio" name={props.name} value={props.radios[i].value} id={props.radios[i].id}
checked={props.radios[i].value === value ? true : false}
onChange={($event) => {
setValue($event.target.value)
props.onChange($event.target.value);
}}/>
);
if (props.radios[i].label) {
radios.push(
<label htmlFor={props.radios[i].id}>{props.radios[i].label}</label>
);
}
}
return radios;
}
function SelectInput(props) {
const [value, setValue] = useState(props.value);
function renderSelectOptions(options) {
let optionElems = [];
for (let i = 0; i < options.length; i++) {
optionElems.push(<option value={options[i].value}>{options[i].text}</option>);
}
return optionElems;
}
return (
<select
id={props.id}
className={props.className}
value={value}
name={props.name}
onChange={(e) => {
setValue(e.target.value);
props.onChange(e);
}}
>
{renderSelectOptions(props.options)}
</select>
);
}
class Panel extends Component {
constructor(props) {
super(props);
this.headerType="column";
this.headerAutoTextType="letters";
}
render() {
let self = this, props = self.props;
let selectOptions = [
{
value: "blank",
text: "Blank"
}, {
value: "letters",
text: "Letters"
}, {
value: "numbers",
text: "Numbers"
}
];
let radios = [
{
id: "headerTypeRow",
value: "row",
label: "Row"
},
{
id: "headerTypeColumn",
value: "column",
label: "Column"
}
];
return (
<div className="options-container">
<label>Set the options below to show the column/row header.</label>
<div className="options-row">
<CheckBoxInput id="checkColumnHeaderVisible" checked={true}
onChange={props.checkColumnHeaderVisible}></CheckBoxInput>
<label htmlFor="checkColumnHeaderVisible">ColumnHeaderVisible</label>
</div>
<div className="options-row">
<CheckBoxInput id="checkRowHeaderVisible" checked={true}
onChange={props.checkRowHeaderVisible}></CheckBoxInput>
<label htmlFor="checkRowHeaderVisible">RowHeaderVisible</label>
</div>
<hr />
<div className="options-row">
<label>Set the type of auto text for the headers using the following options.</label>
</div>
<div className="options-row">
<RadioInput name={"headerType"} defaultValue={"column"} radios={radios} onChange={(value) => {
self.headerType = value;
}}></RadioInput>
</div>
<div className="options-row">
<label>Header Auto Text Type:</label>
</div>
<div className="options-row">
<SelectInput id="headerAutoTextType" value={"letters"} onChange={($event) => {
self.headerAutoTextType = $event.target.value;
}} options={selectOptions}></SelectInput>
<input type="button" value="Set" onClick={() => {
let autoTextInfo = {
headerType: self.headerType,
headerAutoTextType: self.headerAutoTextType
};
props.setAutoText(autoTextInfo)
}}/>
</div>
</div>
);
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/spread/source/data/data.js" type="text/javascript"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/ko/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/ko/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.options-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
input {
display: inline-block;
}
input[type="text"] {
width: 200px;
}
label {
margin-bottom: 6px;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

SpreadJS를 사용하면 여러 헤더를 추가하고 사용자 정의 헤더 텍스트를 만들 수 있습니다.
SpreadJS에서 시트는 다음 4개의 영역으로 구성됩니다:
corner
colHeader
rowHeader
viewport
따라서 시트의 헤더에는 하나의 행 머리글과 하나의 열 머리글이 포함됩니다. 두 머리글 모두 여러 행이나 열을 가질 수 있습니다.
헤더의 행 또는 열 중 하나에서 각 셀에는 열 또는 행의 인덱스를 나타내는 자동 텍스트("auto text")가 있습니다.어떤 행이나 열에 자동 텍스트가 표시되는지 확인하거나 특정 행이나 열에 자동 텍스트를 표시하려면 다음과 유사한 코드를 사용합니다:
Spread는 공백, 글자 및 숫자 중에서 선택할 수 있는 세 가지 유형의 헤더 자동 텍스트도 제공합니다.
행 머리글이나 열 머리글을 숨기도록 선택할 수 있습니다. 다음 코드는 행 머리글의 모든 행을 숨깁니다.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import GC from '@mescius/spread-sheets';
import '@mescius/spread-sheets-resources-ko';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
GC.Spread.Common.CultureManager.culture("ko-kr");
import './styles.css';
const spreadNS = GC.Spread.Sheets, SheetArea = spreadNS.SheetArea;
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
headerAutoTextType: any;
headerType: string;
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
constructor() {
this.autoTextTypeOptions = [
{
value: "blank",
text: "Blank"
}, {
value: "letters",
text: "Letters"
}, {
value: "numbers",
text: "Numbers"
}
];
this.headerAutoTextType = "letters";
this.headerType="column";
}
initSpread($event: any) {
let spread = this.spread = $event.spread;
var spreadNS = GC.Spread.Sheets;
var sheet = spread.getSheet(0);
sheet.suspendPaint();
//Set rowHeader count and columnHeader count.
sheet.setRowCount(3, spreadNS.SheetArea.colHeader);
sheet.setColumnCount(3, spreadNS.SheetArea.rowHeader);
//Change header "auto text".
sheet.options.colHeaderAutoTextIndex = 2;
sheet.options.colHeaderAutoText = spreadNS.HeaderAutoText.numbers;
//Span three columns with the origin at column header cell (0,0).
sheet.addSpan(0, 0, 10, 1, GC.Spread.Sheets.SheetArea.rowHeader);
sheet.addSpan(0, 1, 5, 1, GC.Spread.Sheets.SheetArea.rowHeader);
sheet.addSpan(5, 1, 5, 1, GC.Spread.Sheets.SheetArea.rowHeader);
sheet.setValue(0, 1, "Sub 1.", GC.Spread.Sheets.SheetArea.rowHeader);
sheet.setValue(5, 1, "Sub 2.", GC.Spread.Sheets.SheetArea.rowHeader);
sheet.setValue(0, 0, "Cat.", GC.Spread.Sheets.SheetArea.rowHeader);
sheet.addSpan(0, 0, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 1, 1, 2, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 3, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 4, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 5, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 6, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 0, "No.", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 1, "Company", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 3, "Order ID", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 4, "Customer ID", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 5, "Employee ID", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 6, "Order Date", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(1, 1, "Country", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(1, 2, "Company Name", GC.Spread.Sheets.SheetArea.colHeader);
sheet.getCell(-1, 0).width(40);
sheet.getRange(-1, 1, 1, 6).width(130);
sheet.getRange(-2, 1, 1, 2).width(130);
//Add data
sheet.resumePaint();
}
checkRowHeaderVisible($event) {
let spread = this.spread;
let sheet = spread.getActiveSheet();
sheet.options.rowHeaderVisible = $event.target.checked;
spread.invalidateLayout();
spread.repaint();
}
checkColumnHeaderVisible($event) {
let spread = this.spread;
let sheet = spread.getActiveSheet();
sheet.options.colHeaderVisible = $event.target.checked;
spread.invalidateLayout();
spread.repaint();
}
setAutoText() {
let spread = this.spread, headerType = this.headerType, headerAutoTextType = this.headerAutoTextType;
let sheet = spread.getActiveSheet();
if (headerAutoTextType) {
headerAutoTextType = spreadNS.HeaderAutoText[headerAutoTextType];
if (!(headerAutoTextType === undefined)) {
switch (headerType) {
case "row":
sheet.options.rowHeaderAutoText = headerAutoTextType;
break;
case "column":
sheet.options.colHeaderAutoText = headerAutoTextType;
break;
}
}
}
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule, FormsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule {}
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/ko/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/ko/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/ko/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/ko/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
<div class="options-container">
<label>Set the options below to show the column/row header.</label>
<div class="options-row">
<input type="checkbox" id="checkColumnHeaderVisible" checked (change)="checkColumnHeaderVisible($event)">
<label for="checkColumnHeaderVisible">ColumnHeaderVisible</label>
</div>
<div class="options-row">
<input type="checkbox" id="checkRowHeaderVisible" checked (change)="checkRowHeaderVisible($event)">
<label for="checkRowHeaderVisible">RowHeaderVisible</label>
</div>
<hr />
<div class="options-row">
<label>Set the type of auto text for the headers using the following options.</label>
</div>
<div class="options-row">
<input type="radio" name="headerType" id="row" value="row" [(ngModel)]="headerType">
<label for="row">Row</label>
<input type="radio" name="headerType" id="column" value="column" [(ngModel)]="headerType">
<label for="column">Column</label>
</div>
<div class="options-row">
<label>Header Auto Text Type:</label>
</div>
<div class="options-row">
<select name="headerAutoTextType" id="headerAutoTextType" [(ngModel)]="headerAutoTextType">
<option *ngFor="let item of autoTextTypeOptions" [value]="item.value">
{{item.text}}
</option>
</select>
<input type="button" value="Set" (click)="setAutoText()">
</div>
</div>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.options-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
input {
display: inline-block;
}
input[type="text"] {
width: 200px;
}
label {
display: inline-block;
margin-bottom: 6px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

SpreadJS를 사용하면 여러 헤더를 추가하고 사용자 정의 헤더 텍스트를 만들 수 있습니다.
SpreadJS에서 시트는 다음 4개의 영역으로 구성됩니다:
corner
colHeader
rowHeader
viewport
따라서 시트의 헤더에는 하나의 행 머리글과 하나의 열 머리글이 포함됩니다. 두 머리글 모두 여러 행이나 열을 가질 수 있습니다.
헤더의 행 또는 열 중 하나에서 각 셀에는 열 또는 행의 인덱스를 나타내는 자동 텍스트("auto text")가 있습니다.어떤 행이나 열에 자동 텍스트가 표시되는지 확인하거나 특정 행이나 열에 자동 텍스트를 표시하려면 다음과 유사한 코드를 사용합니다:
Spread는 공백, 글자 및 숫자 중에서 선택할 수 있는 세 가지 유형의 헤더 자동 텍스트도 제공합니다.
행 머리글이나 열 머리글을 숨기도록 선택할 수 있습니다. 다음 코드는 행 머리글의 모든 행을 숨깁니다.
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
<div class="options-container">
<label>Set the options below to show the column/row header.</label>
<div class="options-row">
<input type="checkbox" id="checkColumnHeaderVisible" v-model="checkColumnHeaderVisible">
<label for="checkColumnHeaderVisible">ColumnHeaderVisible</label>
</div>
<div class="options-row">
<input type="checkbox" id="checkRowHeaderVisible" v-model="checkRowHeaderVisible">
<label for="checkRowHeaderVisible">RowHeaderVisible</label>
</div>
<hr />
<div className="options-row">
<label>Set the type of auto text for the headers using the following options.</label>
</div>
<div class="options-row">
<input type="radio" name="headerType" id="row" value="row" v-model="headerType">
<label for="row">Row</label>
<input type="radio" name="headerType" id="column" value="column" v-model="headerType">
<label for="column">Column</label>
</div>
<div className="options-row">
<label>Header Auto Text Type:</label>
</div>
<div className="options-row">
<select name="headerAutoTextType" id="headerAutoTextType" v-model="headerAutoTextType">
<option v-for="item of autoTextTypeOptions" :value="item.value">
{{ item.text }}
</option>
</select>
<input type="button" value="Set" @click="setAutoText()">
</div>
</div>
</div>
</template>
<script setup>
import GC from '@mescius/spread-sheets';
import { ref, watch } from "vue";
import "@mescius/spread-sheets-vue";
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
let spreadNS = GC.Spread.Sheets;
const spreadRef = ref(null);
const autoTextTypeOptions = ref([
{
value: "blank",
text: "Blank"
}, {
value: "letters",
text: "Letters"
}, {
value: "numbers",
text: "Numbers"
}
]);
const headerAutoTextType = ref("letters");
const headerType = ref("column");
const checkColumnHeaderVisible = ref(true);
const checkRowHeaderVisible = ref(true);
let initSpread = function (spread) {
spreadRef.value = spread;
var sheet = spread.getSheet(0);
sheet.suspendPaint();
//Set rowHeader count and columnHeader count.
sheet.setRowCount(3, spreadNS.SheetArea.colHeader);
sheet.setColumnCount(3, spreadNS.SheetArea.rowHeader);
//Change header "auto text".
sheet.options.colHeaderAutoTextIndex = 2;
sheet.options.colHeaderAutoText = spreadNS.HeaderAutoText.numbers;
//Span three columns with the origin at column header cell (0,0).
sheet.addSpan(0, 0, 10, 1, GC.Spread.Sheets.SheetArea.rowHeader);
sheet.addSpan(0, 1, 5, 1, GC.Spread.Sheets.SheetArea.rowHeader);
sheet.addSpan(5, 1, 5, 1, GC.Spread.Sheets.SheetArea.rowHeader);
sheet.setValue(0, 1, "Sub 1.", GC.Spread.Sheets.SheetArea.rowHeader);
sheet.setValue(5, 1, "Sub 2.", GC.Spread.Sheets.SheetArea.rowHeader);
sheet.setValue(0, 0, "Cat.", GC.Spread.Sheets.SheetArea.rowHeader);
sheet.addSpan(0, 0, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 1, 1, 2, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 3, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 4, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 5, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.addSpan(0, 6, 2, 1, GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 0, "No.", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 1, "Company", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 3, "Order ID", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 4, "Customer ID", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 5, "Employee ID", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(0, 6, "Order Date", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(1, 1, "Country", GC.Spread.Sheets.SheetArea.colHeader);
sheet.setValue(1, 2, "Company Name", GC.Spread.Sheets.SheetArea.colHeader);
sheet.getCell(-1, 0).width(40);
sheet.getRange(-1, 1, 1, 6).width(130);
sheet.getRange(-2, 1, 1, 2).width(130);
sheet.resumePaint();
}
let setAutoText = () => {
let spread = spreadRef.value, headerTypeValue = headerType.value, headerAutoTextTypeValue = headerAutoTextType.value;
let sheet = spread.getActiveSheet();
if (headerAutoTextTypeValue) {
headerAutoTextTypeValue = spreadNS.HeaderAutoText[headerAutoTextTypeValue];
if (!(headerAutoTextTypeValue === undefined)) {
switch (headerTypeValue) {
case "row":
sheet.options.rowHeaderAutoText = headerAutoTextTypeValue;
break;
case "column":
sheet.options.colHeaderAutoText = headerAutoTextTypeValue;
break;
}
}
}
}
watch(checkRowHeaderVisible, (value) => {
let spread = spreadRef.value;
let sheet = spread.getActiveSheet();
sheet.options.rowHeaderVisible = value;
spread.invalidateLayout();
spread.repaint();
});
watch(checkColumnHeaderVisible, (value) => {
let spread = spreadRef.value;
let sheet = spread.getActiveSheet();
sheet.options.colHeaderVisible = value;
spread.invalidateLayout();
spread.repaint();
});
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.options-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
input {
display: inline-block;
}
input[type="text"] {
width: 200px;
}
label {
display: inline-block;
margin-bottom: 6px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/ko/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/ko/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/ko/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);